Page MenuHomeFreeBSD

mail/rspamd: Backport the upstream patch fixing reject-message with FreeBSD's libmilter
ClosedPublic

Authored by mmokhi on Feb 28 2018, 3:38 PM.

Details

Summary

There was a bug in upstream's compatibility with FreeBSD's libmilter (here) that causes rspamd to send reject messages after set reply.

the patch fixes it.

(maintainer @vsevolod is CC'd)

Test Plan

poudriere builds fine.
Tested on Netzkommune GmbH machine setup in action.

Diff Detail

Repository
rP FreeBSD ports repository
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.

Event Timeline

mmokhi created this revision.Feb 28 2018, 3:38 PM
mmokhi created this object with visibility "All Users".
mat added a comment.Feb 28 2018, 4:24 PM

Are all those debug messages really part of the fix for the problem?

In D14542#305041, @mat wrote:

Are all those debug messages really part of the fix for the problem?

Well I got the patch from a commit on the Github repo, I personally don't think debug-messages are a fix, but I preferred to keep them as the upstream devs did.

mmokhi edited the test plan for this revision. (Show Details)Mar 1 2018, 12:52 PM
mmokhi changed the visibility from "All Users" to "Public (No Login Required)".Mar 1 2018, 7:23 PM
mmokhi added a comment.Mar 5 2018, 8:49 PM

Approved by maintainer via email ๐Ÿ™‚

This revision was not accepted when it landed; it landed in state Needs Review.Mar 5 2018, 9:00 PM
This revision was automatically updated to reflect the committed changes.